Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.dynamictree.model
Interface ModelFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ModelFactoryImpl

    public interface ModelFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `ModelPackage`

Field Summary
`static ModelFactory` | `eINSTANCE` The singleton instance of the factory.

Method Summary
`DomainIntermediate` | `createDomainIntermediate()` Returns a new object of class 'Domain Intermediate'.
`DomainRoot` | `createDomainRoot()` Returns a new object of class 'Domain Root'.
`DynamicContainmentItem` | `createDynamicContainmentItem()` Returns a new object of class 'Dynamic Containment Item'.
`DynamicContainmentTree` | `createDynamicContainmentTree()` Returns a new object of class 'Dynamic Containment Tree'.
`DynamicContainmentTreeDomainModelReference` | `createDynamicContainmentTreeDomainModelReference()` Returns a new object of class 'Dynamic Containment Tree Domain Model Reference'.
`TestElement` | `createTestElement()` Returns a new object of class 'Test Element'.
`TestElementContainer` | `createTestElementContainer()` Returns a new object of class 'Test Element Container'.
`ModelPackage` | `getModelPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final ModelFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createDynamicContainmentTree

    DynamicContainmentTree createDynamicContainmentTree()

  Returns a new object of class 'Dynamic Containment Tree'.

  Returns:
    a new object of class 'Dynamic Containment Tree'.

### createDynamicContainmentItem

    DynamicContainmentItem createDynamicContainmentItem()

  Returns a new object of class 'Dynamic Containment Item'.

  Returns:
    a new object of class 'Dynamic Containment Item'.

### createTestElement

    TestElement createTestElement()

  Returns a new object of class 'Test Element'.

  Returns:
    a new object of class 'Test Element'.

### createDomainRoot

    DomainRoot createDomainRoot()

  Returns a new object of class 'Domain Root'.

  Returns:
    a new object of class 'Domain Root'.

### createDomainIntermediate

    DomainIntermediate createDomainIntermediate()

  Returns a new object of class 'Domain Intermediate'.

  Returns:
    a new object of class 'Domain Intermediate'.

### createTestElementContainer

    TestElementContainer createTestElementContainer()

  Returns a new object of class 'Test Element Container'.

  Returns:
    a new object of class 'Test Element Container'.

### createDynamicContainmentTreeDomainModelReference

    DynamicContainmentTreeDomainModelReference createDynamicContainmentTreeDomainModelReference()

  Returns a new object of class 'Dynamic Containment Tree Domain Model Reference'.

  Returns:
    a new object of class 'Dynamic Containment Tree Domain Model Reference'.

### getModelPackage

    ModelPackage getModelPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.